package Randominator

/**
  * Created by claudio on 26/12/16.
  */
class Randominator[+T](toSelect: List[T]) {
  def getRandom: T = toSelect((math.random() * toSelect.length).toInt)

  def add[U >: T](x: U): Randominator[U] = new Randominator[U](x :: toSelect)
}
